logo
DATABASE RESOURCES PRICING ABOUT US

CVE-2022-26491

Description

An issue was discovered in Pidgin before 2.14.9. A remote attacker who can spoof DNS responses can redirect a client connection to a malicious server. The client will perform TLS certificate verification of the malicious domain name instead of the original XMPP service domain, allowing the attacker to take over control over the XMPP connection and to obtain user credentials and all communication content. This is similar to CVE-2022-24968.


Affected Package


OS OS Version Package Name Package Version
Debian 12 pidgin 2.14.10-1
Debian 11 pidgin 2.14.1-1
Debian 10 pidgin 2.13.0-2
Debian 999 pidgin 2.14.10-1

Related